Subject: Outwit -- UNIX-style utilities for Windows
From: "Lee D. Rothstein" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 17 Jun 2003 19:27:46 -0400

Professor Spinnellis,

First, thank you for the nice little package of
utilities -- Outwit
(http://www.dmst.aueb.gr/dds/sw/outwit)
-- that allow for the integration of scripts with
Windows applications.

I am a Cygwin user and was about to write my first
utility (using Cygwin/GNU tools) -- a clipboard to and
from stdio, for Windows, but first I decided to do a
web search. On Altavista, using:

'((standard near (input | output)) | stdio) near
(clipboard & Cygwin)'

) I found 'winclip', and eventually your entire
package, Outwit.

Second, there are several small problems with the
documentation for the various commands.

 * More as a curiosity, than anything else, can you
   tell me why the formatted man pages ('.txt' or
   '.pdf') for 'readlink' have a header of "Winreg(1)
   ... Winreg(1)"?

   Perhaps the footer of "1 April 2000" contains a
   clue? ;-)

 * 'winreg' PDF file is corrupt. '.txt' file is fine.

 * I think there was one other document corruption
   problem, but I can't find it, now.

Thanks, again,

Lee

P.S. I've taken the liberty of CCing this message to
     the Cygwin discussion email list, so that your
     package will get some "press" among the
     Cygwinners.

Cygwinners:

Outwit contains:

 - winclip.exe -- copy text to and from the clipboard
   and stdio. Note that even if you have GNU
   'xclipboard.exe' running under Cygwin, it doesn't do
   you much good with native Windows applications, so
   you really need 'winclip' in order to use UNIX-style
   tools in the Windows environment. Note that not even
   'winclip' can save you when you have a Windows
   application like ACDSee, that won't output image
   bitmap sizes (found in its default GUI directory
   listing) to any clipboard or stdio copyable
   "surface". (Getting this info, in soft format, is
   really useful for resizing images in HTML.)

 - docprop.exe -- Print properties of an OLE structured
   storage document. "Document properties" -- as in
   'winword' / File / Properties. (This may also work
   with Open Office. [?] Haven't had a chance to try it,
   yet.)

 - odbc.exe -- SQL queries (select command) from the
   command line with output, as text, to stdout

 - readlink.exe -- Resolve Windows shortcuts; Unpack
   the actual path and operation of a shortcut

 - readlog.exe -- Text-based access to the Windows
   event log. Now, you and your scripts can be keenly
   aware of why Windoze "thinks" it is crashing. ;-)

 - winreg.exe -- Text-based access to the registry.
   Scarey, but utilitarian.

All files, including documentation ('man' style output)
in both text and PDF formats are available, along with
a white paper about the entire package.

Looks like it might be a nice addition to Cygwin?

Lee

--
Lee D. Rothstein -- [email-masked]
VeriTech -- 603-424-2900
7 Merry Meeting Drive
Merrimack, NH 03054-2934

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/